%define anolis_release 1
%ifarch %{valgrind_arches}
%global has_valgrind 1
%endif

Name:           gcr
Version:        3.41.1
Release: %{anolis_release}%{dist}
Summary:        A library for bits of crypto UI and parsing

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/CryptoGlue
Source0:        https://download.gnome.org/sources/%{name}/3.41/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson >= 0.52
BuildRequires:  pkgconfig(gio-2.0) >= 2.44
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gmodule-no-export-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gthread-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(libgcrypt) >= 1
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(p11-kit-1) >= 0.19.0
BuildRequires:  pkgconfig(systemd)
BuildRequires:  docbook-style-xsl
BuildRequires:  libgcrypt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  systemd-rpm-macros
BuildRequires:  vala
%if 0%{?has_valgrind}
BuildRequires:  valgrind-devel
%endif
BuildRequires:  /usr/bin/gpg2
BuildRequires:  /usr/bin/ssh-add
BuildRequires:  /usr/bin/ssh-agent
BuildRequires:  /usr/bin/xsltproc

Requires: %{name}-base = %{version}-%{release}
Requires: /usr/bin/ssh-add
Requires: /usr/bin/ssh-agent

%description
gcr is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides a viewer for crypto files on the GNOME
desktop.

gck is a library for accessing PKCS#11 modules like smart cards.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for gcr
Requires: %{name} = %{version}-%{release}

%description devel
The gcr-devel package includes the header files for the gcr library.

%package base
Summary: Library files for gcr
Conflicts: %{name} < 3.28.1

%description base
The gcr-base package includes the gcr-base library.

%prep
%autosetup -p1

%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}

%generate_compatibility_deps

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gcr-viewer.desktop


%post
%systemd_user_post gcr-ssh-agent.service

%preun
%systemd_user_preun gcr-ssh-agent.service

%postun
%systemd_user_postun_with_restart gcr-ssh-agent.service


%files -f %{name}.lang
%license COPYING
%{_bindir}/gcr-viewer
%{abidir}/gcr-viewer-option.list
%{_datadir}/applications/gcr-viewer.desktop
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/gsettings
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp.convert
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp_keyservers.convert
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml
%{_libdir}/girepository-1.0
%{_libdir}/libgcr-ui-3.so.1*
%{abidir}/libgcr-ui-3.dump
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/gcr-crypto-types.xml
%{_libexecdir}/gcr-prompter
%{_libexecdir}/gcr-ssh-agent
%{_libexecdir}/gcr-ssh-askpass
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/applications/gcr-prompter.desktop
%{_userunitdir}/gcr-ssh-agent.service
%{_userunitdir}/gcr-ssh-agent.socket

%files doc
%doc NEWS README.md

%files devel
%{_includedir}/gck-1
%{_includedir}/gcr-3
%{_libdir}/libgck-1.so
%{_libdir}/libgcr-base-3.so
%{_libdir}/libgcr-ui-3.so
%{_libdir}/pkgconfig/gck-1.pc
%{_libdir}/pkgconfig/gcr-3.pc
%{_libdir}/pkgconfig/gcr-base-3.pc
%{_libdir}/pkgconfig/gcr-ui-3.pc
%{_datadir}/gir-1.0/*
%{_datadir}/doc/gck-1
%{_datadir}/doc/gcr-3
%{_datadir}/doc/gcr-ui-3
%{_datadir}/vala/*

%files base
%dir %{abidir}
%{_libdir}/libgck-1.so.0*
%{_libdir}/libgcr-base-3.so.1*
%{abidir}/libgck-1.dump
%{abidir}/libgcr-base-3.dump

%changelog
* Mon Nov 28 2022 Funda Wang <fundawang@yeah.net> - 3.41.1-1
- New version 3.41.1

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.41.0-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.41.0-2
- add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 3.41.0-1
- Init package from upstream v3.41.0
